/**
 * @file       clock/script.js
 * @brief      JavaScript code for the Clock Plugin
 * @author     'Ryan Chappelle' @ DokuWiki
 * @version    0.9
 */

/* jsclock_id
 * the 'id' value for the clock face
 * --- DO NOT CHANGE THIS VALUE!
 */

var jsclock_id= "clock_face";

function jsclock_rerun () {

  // get the current time

  var CurTime=new Date();
  var hh= CurTime.getHours();
  var mm= CurTime.getMinutes();
  var ss= CurTime.getSeconds();

  // format it as ISO 8601 text

  if (hh<=9 && hh>=0)
    hh= "0" + hh;
  if (mm<=9 && mm>=0)
    mm= "0" + mm;
  if (ss<=9 && ss>=0)
    ss= "0" + ss;

  timetext= " " + hh + ":" + mm + ":" + ss + " ";

  // assign the text to the element
  // whose id is that of the 'jsclock_id' variable

  var theElement= document.getElementById (jsclock_id);

  theElement.firstChild.nodeValue= timetext;

  // do the timeout
  setTimeout(jsclock_rerun, 1000);
}



function jsclock_init() {
  // set up a timer
  setTimeout(jsclock_rerun, 1000);
}

/**
 * Add the 'jsclock_init' function to the event list
 */

addInitEvent(jsclock_init);

// ---end of file
